> ## Documentation Index
> Fetch the complete documentation index at: https://docs.unihop.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Cancel Order

> Deletes a single ord based on the UID supplied



## OpenAPI

````yaml POST /orders/{uid}/cancel
openapi: 3.1.0
info:
  title: OpenAPI UniHop Api
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://backend.unihop.app/api/v1
security:
  - bearerAuth: []
paths:
  /orders/{uid}/cancel:
    post:
      description: Deletes a single ord based on the UID supplied
      parameters:
        - name: uid
          in: path
          description: UID of the order to delete
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Order cancelled successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Order cancelled successfully
                  uid:
                    type: string
                    description: The job ID of the cancelled order
                  data:
                    type: object
                    properties:
                      status:
                        type: string
                        example: Canceled
                      partner_reference:
                        type: string
                        description: The partner reference for the order
                      cancelation_fee:
                        type: object
                        properties:
                          value:
                            type: number
                            format: float
                            description: The cancellation fee amount
                          currency:
                            type: string
                            description: The currency of the cancellation fee
        '400':
          description: unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: string
          description: A string error code identifying the type of error.
        message:
          type: string
          description: A human-readable message describing the error.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````